#include <iostream>
#include "unistd.h"
#include "nrcAPI.h"
#include <string.h>
#include <queue>
#include <list>
#include <sstream>
#include<stdio.h>
using namespace std;

int main()
{
		//系统启动。注:为程序简洁，采用调用形式，参见1.1系统启动
		std::string ver = NRC_GetNexMotionLibVersion();//获取Nexmotion版本库信息
		cout<<"库版本："<< ver <<endl;//输出Nexmotion版本库信息
		NRC_StartController();  //启动控制系统
		while(NRC_GetControlInitComplete() != 1)  //检测控制系统是否初始化完成
		{
			NRC_Delayms(100);   //延时100ms
			cout << "Wait StartController Finish " << endl;
		}
		cout << "StartController Success" << endl;

		NRC_SetOperationMode(NRC_TEACH_);//设置操作模式为示教模式
		NRC_SetServoReadyStatus(1);  //设置伺服允许（伺服就绪状态）
		NRC_SetTeachRunSpeedPer(80);//设置示教速度
		NRC_SetCurrentCoord(NRC_ACS);//设置当前坐标系为关节坐标系
		NRC_Delayms(1000);//延时1000毫秒
		NRC_ServoEnable();//伺服上电
		cout<<"Servo Enable success"<<endl;
		NRC_Delayms(10000);//延时1000毫秒
		NRC_ServoDisable();  //伺服下电
		cout<<"Servo Disable success"<<endl;

		while(1)
		{
			NRC_Delayms(60000);
		}
}
